summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--modules.d/busybox/module-setup.sh10
-rw-r--r--modules.d/busybox/openslx.config2
2 files changed, 6 insertions, 6 deletions
diff --git a/modules.d/busybox/module-setup.sh b/modules.d/busybox/module-setup.sh
index e74ddb6b..c2305e32 100644
--- a/modules.d/busybox/module-setup.sh
+++ b/modules.d/busybox/module-setup.sh
@@ -2,9 +2,8 @@
[ -z "$BB_GIT" ] && declare -rg BB_GIT="git://git.busybox.net/busybox"
[ -z "$BB_BRANCH" ] && declare -rg BB_BRANCH="1_31_1"
-build() {
+build() (
local base_url="https://git.openslx.org/openslx-ng/mltk.git/plain/core/modules/busybox/"
- (
set -e
git clone --depth 1 "$BB_GIT" --branch "$BB_BRANCH" "${moddir}/src"
# apply patches
@@ -16,11 +15,12 @@ build() {
yes '' | make oldconfig
make -j busybox
cd - &> /dev/null
- )
-}
+)
+
check() {
- if [ ! -x "${moddir}/src/busybox" ] && ! build; then
+ if ! [ -x "${moddir}/src/busybox" ] && ! build; then
derror "Failed to build busybox."
+ kill $$
return 1
fi
return 255
diff --git a/modules.d/busybox/openslx.config b/modules.d/busybox/openslx.config
index a511c7d8..e30642aa 100644
--- a/modules.d/busybox/openslx.config
+++ b/modules.d/busybox/openslx.config
@@ -591,7 +591,7 @@ CONFIG_MOUNT=y
# CONFIG_FEATURE_MOUNT_VERBOSE is not set
CONFIG_FEATURE_MOUNT_HELPERS=y
# CONFIG_FEATURE_MOUNT_LABEL is not set
-CONFIG_FEATURE_MOUNT_NFS=y
+# CONFIG_FEATURE_MOUNT_NFS is not set
CONFIG_FEATURE_MOUNT_CIFS=y
CONFIG_FEATURE_MOUNT_FLAGS=y
CONFIG_FEATURE_MOUNT_FSTAB=y